Bug 1567899 - growing glusterd memory usage with connected RHGSWA
Summary: growing glusterd memory usage with connected RHGSWA
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: glusterd
Version: rhgs-3.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: RHGS 3.4.0
Assignee: Sanju
QA Contact: Bala Konda Reddy M
URL:
Whiteboard:
: 1597954 (view as bug list)
Depends On: 1566023
Blocks: 1503137 1573066
TreeView+ depends on / blocked
 
Reported: 2018-04-16 11:45 UTC by Lubos Trilety
Modified: 2018-09-17 15:00 UTC (History)
12 users (show)

Fixed In Version: glusterfs-3.12.2-9
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1566023
: 1573066 (view as bug list)
Environment:
Last Closed: 2018-09-04 06:46:03 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2607 None None None 2018-09-04 06:47:38 UTC

Comment 15 Bala Konda Reddy M 2018-05-14 13:18:36 UTC
Build: 3.12.2-9

Followed the steps.
1. On an 8 node setup, created 200 volumes(100EC and 100 Replicate) volumes.
2. Noted down glusterd memory as 94MB and ran gluster get-state detail for 17000 times in a loop in the background. 
3. Executed gluster vol status for 1000 times on one of the nodes in a loop
4. The glusterd memory increased by 220MB.

With the scale of volumes considered and continuously executing vol status. This increase is acceptable.

Hence marking it as verified.

Comment 16 leemiok 2018-07-09 02:06:59 UTC
*** Bug 1597954 has been marked as a duplicate of this bug. ***

Comment 18 errata-xmlrpc 2018-09-04 06:46:03 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2607


Note You need to log in before you can comment on or make changes to this bug.